@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Montserrat:wght@400;700&display=swap');


body{
background-color: #333446;
font-family: 'Roboto', sans-serif; /* default text font */
}

h1, h2, h3 {
  font-family: 'Montserrat', sans-serif; 
  text-align: center;
}



.logoicon{
margin-right:5px;
grid-row: 1;
grid-column: 1/2;
width: 20px;
padding-left: 20%;
}

.logo:hover{
    transform: none;
}

.logopic:hover{
    transform: scale(1.0);
}

.topcontent{ 
    padding: 20px;
}

.content{
    grid-template-columns: 5% 90% 5%;
}

.tab{
    padding: 15px;
    text-align: center;
    }

img{
    width: 100%;
    border: none;
    border-radius: 5%;
    transition: 0.3s ease-in-out;
}

a{
    color: black;
    font-weight: bold;
     font-family: 'Roboto', sans-serif;
}


a:hover{
color: rgb(255, 255, 255);
}

.grid{
      display: grid;
       gap: 10px;
}

.gridthree{
    grid-template-columns: repeat(3,1fr);
}

form{
        padding: 15px;
        margin: 30px;
    }

label {
     display: inline-block;      /*displays the label in the same line for a cleaner look */
    width: 80px; 
    text-align: right; 
    margin-right: 5px;
}



.newarrival img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.newarrivaltop{ 
    border: 1px solid black;
    margin: 20px;
    padding: 20px;
    border-radius: 20px;
} 

.recesionborder{
    border: 1px solid black;
    margin: 20px;
    padding: 20px;
    border-radius: 20px;
}
.recesion{
    margin-bottom: 20px;
}



table,th,td{
    padding: 10px;
    margin: 20px auto;
    border-collapse: collapse;
    font-family: arial,sans-serif;
     border: 2px solid; 
}
    
.thread{
    background-color: darkslategray;
    font-weight: bolder;
}
.EvenColoum{
    background-color: lightsteelblue;
    font-weight: bolder;
}

.OddColoum{
    background-color: darkslategray;
    font-weight: bolder;
}

.threadtitle{
    text-align: center;
}

.last {
    text-align: center;
    grid-column: 2/3;
}

.socials {
    grid-column: 2/3;

}
.information {
    grid-column: 3;
}
.medier {
 width: 60px;
}

 img:hover{
    transform: scale(1.1);
}

/* SIDA TVÅ produkt */

    .dropdownmenu {
    margin: 20px;
    font-family: Arial, sans-serif;
    }


    #menu {
    padding: 5px 10px;
    font-size: 16px;
    border-radius: 10px;
    } 
 
fieldset{ 
    border-color: black;
    margin: 20px;
    border-radius: 20px;
    border: 2px solid;
    margin-bottom: 50px;
} 

.popular h2 {
    text-align: center;
}

.cars {
    grid-template-columns: 1fr 1fr;
    margin: 2%;
    padding: 20px;
}

.alsoboughtcars {
    grid-template-columns: 1fr 1fr 1fr 1fr ;
    
}
    
.norm:hover{
    content: url("slutprojectbil/Lambointerior.jpg");
    transition:  0.3s ease, opacity 0.3s ease;
    transform: scale(0.95);
    opacity: 0.85;
  }

  .norms:hover{
    transition: transform 0.3s ease, opacity 0.3s ease;
    transform: scale(1.05);
    opacity: 0.85;
  }
  
  
  .fordnorm:hover{
    content: url("slutprojectbil/fordinterior.jpg");
    transition:  0.3s ease, opacity 0.3s ease;
    transform: scale(0.95);
    opacity: 0.85;
  }

  .bmwnorm:hover{
    content: url("slutprojectbil/redbmwinterior.jpg");
   
  }

  .mercedesnorm:hover{
     content: url("slutprojectbil/mercedesinterior.jpg");
   
  }

  .fourwheelnorm:hover{
     content: url("slutprojectbil/fourwheelinterior.jpg");
    
  }

  .bmwsuv:hover{
    content: url("slutprojectbil/bmwsuvinterior.jpg");
  }

  .hondasuv:hover{
    content: url("slutprojectbil/hondasuvinterior.jpg");
  }

  .jeep:hover{
    content: url("slutprojectbil/jeepinterior.jpg");
  }

  .rangerover:hover{
    content: url("slutprojectbil/rangeroverinterior.jpg");
  }

  /* read more css */
:root {
  --text-color: rgb(0, 0, 0);
  --hover-color: #ffffff;
}

.toggle {
  display: none; /* Hides checkbox */
}

.more-text{
  display: none;
  margin-top: 10px;
}

.toggle:checked + .read-more + .more-text {
  display: block; /* Shows text */
}

.read-more {
  cursor: pointer;
  text-decoration: underline;
  transition: color 0.3s ease; /* Smooth hover effect */
}

.read-more:hover {
  color: var(--hover-color);    /* färg ändring när man hovrar samt linje under text*/
  text-decoration: underline;
}

/* Forum Sidan css */


 

.Forumtable th, .Forumtable td {
  padding: 12px 20px;
  text-align: left;
  font-size: 16px;

}

.Forumtable tr {
  border-bottom: 1px solid white;
}

.searchbar{
margin: 2%;
text-align: center;
}

.forumregler p{
    text-align: center;
}

.forumpost legend {
  font-size: 24px;
  font-weight: bold;
}

.title{
    font-size: 20px;
  font-weight: bold;
  margin-bottom: 20px;
  margin-top: 20px;
  text-align: center;
}

#littletext {
  width: 100%;
  resize: none;
  border-radius: 6px;
}

#bigtext {
  width: 100%;
  height: 150px;
  resize: none;
  border-radius: 6px;
  margin-bottom: 10px;

}

.post{
display: block; /* makes it an element so that i can center */
margin: auto;
cursor: pointer;
 border: none;  /*if i dont add this the button looks wrong */
border-radius: 5px;
padding: 5px;
}

h3{
    padding-left: 20px;
}

.userintel{
text-align: center;
}

.userintel p {
    margin: 2px;
}

.useranswer{
    margin-bottom: 15px;
    padding: 15px;
}
.userprofile {
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}


.profilepic {
    width: 35px;
    border-radius: 50%;
    grid-column: 1/2;
    grid-row: 1;
}

.username {
  font-weight: bold;
  grid-column: 2/3;
  grid-row: 1;
  text-align: center;
}



.userdetails {
 font-size: small;
  color: gray;
}

#replytext {
  width: 100%;
  height: 150px;
  resize: none;
  border-radius: 6px;
  margin-bottom: 10px;
}

.similar{
border: 1px solid black;
  border-radius: 20px;
  margin: 2%;
  padding: 20px;
  background-color:#eaefefd4 ;
}

.similar label:hover{
  color: rgba(164, 0, 0, 0.683);
}

.userprofile h1{
  padding-left: 25px;
}

.questionpfp{
  width: 60px;
}



.forumtabletitle, .forumquestion {
  grid-template-columns: 2fr 1fr 1fr 1fr;
  align-items: center;
  border-bottom: solid white;
  padding: 10px 0;
}

.threadcell {
  align-items: center;

}
.threadlink {
  font-weight: bold;
  font-size: x-large;
  grid-row: 1;
  padding-right: 20%;
  text-align: center;
}
.userinfo{
  text-align: center;
  font-weight: bolder;
}
